Package com.onwbp.adaptation

# Class RequestSortCriteria

java.lang.Object
com.onwbp.adaptation.RequestSortCriteria

public class RequestSortCriteria extends Object
Specifies sort criteria to be associated with a request.

See Also:
  - `Request.setSortCriteria(RequestSortCriteria)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestSortCriteria()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestSortCriteria`
  `add(Path aPath)`
  Adds the specified node as an ascending sort criterion.
  `RequestSortCriteria`
  `add(Path aPath, boolean isAscendant)`
  Adds the specified node as an ascending sort criterion or as a descending sort criterion.
  `Path`
  `getPath(int criterionIndex)`
  `boolean`
  `isAscendant(int criterionIndex)`
  `boolean`
  `isSortedByRelevancy()`
  `boolean`
  `isSortOnLabel()`
  `void`
  `reset()`
  `int`
  `size()`
  `String`
  `toDisplayString()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RequestSortCriteria

    public RequestSortCriteria()

- ## Method Details

  - ### add

    public RequestSortCriteria add(Path aPath) throws IllegalArgumentException
    Adds the specified node as an ascending sort criterion.
    Returns:
      this `RequestSortCriteria`
    Throws:
      `IllegalArgumentException` - if first step of aPath is `Path.PARENT` or null.

  - ### add

    public RequestSortCriteria add(Path aPath, boolean isAscendant) throws IllegalArgumentException
    Adds the specified node as an ascending sort criterion or as a descending sort criterion.
    Returns:
      this `RequestSortCriteria`
    Throws:
      `IllegalArgumentException` - if first step of aPath is `Path.PARENT` or null.

  - ### isSortedByRelevancy

    public boolean isSortedByRelevancy()
    Since:
      6.0.0
    See Also:
      - `Request.isSortedByRelevancy()`

  - ### isSortOnLabel

    public boolean isSortOnLabel()
    Since:
      6.0.0

  - ### getPath

    public Path getPath(int criterionIndex)

  - ### isAscendant

    public boolean isAscendant(int criterionIndex)

  - ### size

    public int size()

  - ### reset

    public void reset()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toDisplayString

    public String toDisplayString()